package cn.com.qmth.examcloud.core.basic.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.commons.web.security.bean.User;
import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.basic.api.DemoCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetXxxReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetXxxResp;
import cn.com.qmth.examcloud.core.basic.service.DemoService;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("${$rmp}" + "demo")
public class DemoCloudServiceProvider extends ControllerSupport implements DemoCloudService {

	private static final long serialVersionUID = 1688796399486678855L;

	DemoService demoService;

	@Autowired
	RedisClient redisClient;

	@ApiOperation(value = "DEMO", notes = "DEMO")
	@PostMapping({"getXxx", "getYYY"})
	@Override
	public GetXxxResp getXxx(@RequestBody GetXxxReq req) {
		GetXxxResp resp = new GetXxxResp();
		resp.setS("test");
		redisClient.set("fuck", resp, 10);
		User user = new User();
		user.setId(110L);
		user.setLoginName("sb");
		user.setToken("abc");
		redisClient.set("100", user, 600);
		return resp;
	}

	@ApiOperation(value = "DEMO", notes = "DEMO")
	@PutMapping({"getXxx", "getYYY"})
	public GetXxxResp getXxx2(@RequestBody GetXxxReq req) {
		GetXxxResp resp = redisClient.get("fuck", GetXxxResp.class);
		return resp;
	}

}
